> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a Credit Card Product

> This endpoint returns the specified `credit_card_product` according to the unique GUID.



## OpenAPI

````yaml /openapi/platform-api/v20111101.yaml get /credit_card_products/{credit_card_product_guid}
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /credit_card_products/{credit_card_product_guid}:
    get:
      tags:
        - rewards
      summary: Read a Credit Card Product
      description: >-
        This endpoint returns the specified `credit_card_product` according to
        the unique GUID.
      operationId: creditCard
      parameters:
        - $ref: '#/components/parameters/creditCardProductGuid'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/CreditCardProductResponse'
          description: OK
components:
  parameters:
    creditCardProductGuid:
      description: >-
        The required `credit_card_product_guid` can be found on the `account`
        object.
      example: credit_card_product_guid
      in: path
      name: credit_card_product_guid
      required: true
      schema:
        type: string
  schemas:
    CreditCardProductResponse:
      properties:
        credit_card_product:
          $ref: '#/components/schemas/CreditCardProduct'
      type: object
    CreditCardProduct:
      properties:
        annual_fee:
          example: 45
          type: number
        duration_of_introductory_rate_on_balance_transfer:
          example: null
          nullable: true
          type: integer
        duration_of_introductory_rate_on_purchases:
          example: null
          nullable: true
          type: integer
        guid:
          example: CCA-b5bcd822-6d01-4e23-b8d6-846a225e714a
          type: string
        has_cashback_rewards:
          example: false
          type: boolean
        has_other_rewards:
          example: true
          type: boolean
        has_travel_rewards:
          example: true
          type: boolean
        has_zero_introductory_annual_fee:
          example: true
          type: boolean
        has_zero_percent_introductory_rate:
          example: false
          type: boolean
        has_zero_percent_introductory_rate_on_balance_transfer:
          example: true
          type: boolean
        is_accepting_applicants:
          example: true
          type: boolean
        is_active_credit_card_product:
          example: true
          type: boolean
        is_small_business_card:
          example: true
          type: boolean
        name:
          example: Chase Credit Card
          type: string
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````